package com.ningdatech.carapi.company.service;

import com.ningdatech.carapi.company.entity.dto.ResCompanyTotalDTO;

import java.util.List;

/**
 * @description:
 * @author: liushuai
 * @date: 2022/10/25 10:14
 */
public interface ICompanyLargeScreenService {
    /**
     * 根据区域id获取企业数据统计
     * @param regionId 区域id
     * @return 企业数据统计
     */
    List<ResCompanyTotalDTO> getCompanyTotalByRegionId(Long regionId);

    List<ResCompanyTotalDTO> countEnterpriseType(Long regionId);

    List<ResCompanyTotalDTO> deadAccident(Long regionId);

    List<ResCompanyTotalDTO> mortarQuality(Long regionId);
}
